
<cfscript>
	// the fields current value
	currentValue = attributes.currentValues[fqFieldName];
	// the param structure which will hold all of the fields from the props dialog
	xparams = parameters[fieldQuery.inputID];
	// get the directory path to store the document
	// docPath = xParams.docPath;
	// docURL = xParams.docURL;
	// docTypes = xParams.docTypes;
	
	// The fields current value
	// currentValue = attributes.currentValues[fqFieldName];
	// The param structure which will hold all of the fields from the props dialog
	// xparams = parameters[fieldQuery.inputID];
	// Get the directory path to store the document
	//docPath = xParams.docPath;
	//docURL = xParams.docURL;
	//docTypes = xParams.docTypes;
	
	// Get the properties from the config file
	errorMsg = "";

	// Config - UPLOADURL
	if ( (StructKeyExists(server.ADF.environment[request.site.id].ptMultimedia, "UPLOAD_URL")) AND (LEN(server.ADF.environment[request.site.id].ptMultimedia.UPLOAD_URL)) )
		docURL = server.ADF.environment[request.site.id].ptMultimedia.UPLOAD_URL;
	else
		docURL = "#request.subsiteCache[1].url#_cs_apps/ptMultimedia/uploads/";
	
	// Config - UPLOADDOCTYPES
	if ( (StructKeyExists(server.ADF.environment[request.site.id].ptMultimedia, "UPLOAD_FILE_TYPES")) AND (LEN(server.ADF.environment[request.site.id].ptMultimedia.UPLOAD_FILE_TYPES)) )
		docTypes = server.ADF.environment[request.site.id].ptMultimedia.UPLOAD_FILE_TYPES;
	else
		docTypes = "";
		
	// Config - MaxFileSize
	if ( (StructKeyExists(server.ADF.environment[request.site.id].ptMultimedia, "MaxFileSize")) AND (LEN(server.ADF.environment[request.site.id].ptMultimedia.MaxFileSize)) )
		MaxFileSize = server.ADF.environment[request.site.id].ptMultimedia.MaxFileSize;
	else
		MaxFileSize = "";
		// Config - Media upload destination path	
	if ( (StructKeyExists(server.ADF.environment[request.site.id].ptMultimedia, "UPLOAD_PATH")) AND (LEN(server.ADF.environment[request.site.id].ptMultimedia.UPLOAD_PATH)) ) {
		UPLOAD_PATH = server.ADF.environment[request.site.id].ptMultimedia.UPLOAD_PATH;
		docPath = UPLOAD_PATH; }
	else {
		UPLOAD_PATH = "";
		docPath = UPLOAD_PATH; }
</cfscript>
  
<cfoutput>
	<script>
		// javascript validation to make sure they have text to be converted
		//#fqFieldName# = new Object();
		//#fqFieldName#.id = '#fqFieldName#';
		//#fqFieldName#.tid = #rendertabindex#;
		//#fqFieldName#.validator = "validateLength()";
		//#fqFieldName#.msg = "Please upload a document.";
		// push on to validation array
		//vobjects_#attributes.formname#.push(#fqFieldName#);

		function validateLength()
		{
			// get the current value of the hidden field
			obj = document.getElementById('#fqFieldName#_upload');

			// do your validation on the field against the parameters
			if( obj.value == "" )
				return false;
			else
				return true;
		}
		/*
		// handle the return
		function #fqFieldName#setCSURL(url)
		{
			// sets display text
			var dispObj = document.getElementById('#fqFieldName#_upload_disp');
			dispObj.innerHTML = url;
			// sets value for hidden CS URL page
			var obj = document.getElementById('#fqFieldName#_upload');
			obj.value = url;
		}
		*/
		
				// handle the return
		function #fqFieldName#setCSURL(inArgs) {
			
			var url = inArgs[0];
			
			// alert(inArgs);
			// sets display text
			var dispObj = document.getElementById('#fqFieldName#_upload_disp');
			dispObj.innerHTML = url;
			// sets value for hidden CS URL page
			var obj = document.getElementById('#fqFieldName#_upload');
			obj.value = url;	
		}
			
		function doOnClick() {
			
			
			// Lightbox URL string
			var lbURL = '#application.ptMultimedia.getAppConfig().UPLOADMediaForm#?docPath=#docPath#&docURL=#docURL#&docTypes=#docTypes#&callback=#fqFieldName#setCSURL&height=300&width=500&title=Upload New Media';
			// Open the upload lightbox window
			//window.parent.openLB(lbURL, 400);
			openLB(lbURL);
		}

	</script>
	<!--- // determine if this is rendererd in a simple form or the standard custom element interface --->
	<cfscript>
		if ( structKeyExists(request, "element") )
		{
			labelText = '<span class="CS_Form_Label_Baseline"><label for="#fqFieldName#">#xParams.label#:</label></span>';
			tdClass = 'CS_Form_Label_Baseline';
		}
		else
		{
			labelText = '<label for="#fqFieldName#">#xParams.label#:</label>';
			tdClass = 'cs_dlgLabel';
		}
		/*
		doOnClick = "newWindow('uploadNew', 'http://cs5/demo/lightbox/multimedia/media_uploader.cfm?docPath=#docPath#&docURL=#docURL#&docTypes=#docTypes#&fieldName=#fqFieldName#','width=500,height=300,left=400,top=200,screenX=400,screenY=200');";
	*/
	
	
	</cfscript>
	<!--- #request.subsiteCache[1].url#_cs_apps/pt_multimedia/ --->
	
	<tr>
		<td class="#tdClass#">#labelText#&nbsp;&nbsp;</td>
		<td class="cs_dlgLabelSmall">
		<span id="#fqFieldName#_upload_disp">#currentValue#</span>	
		<!--- <input type="button" value="Upload..." name="upload_btn_#fqFieldName#" id="upload_btn_#fqFieldName#" onclick="#doOnClick#"> --->
		<input type="button" value="Upload..." name="upload_btn_#fqFieldName#" id="upload_btn_#fqFieldName#" onclick="doOnClick()">
		&nbsp;(#MaxFileSize# meg limit)
		</td>
	</tr>
	
	<!---// hidden field for document location --->
	<input type="hidden" name="#fqFieldName#" value="#currentValue#" id="#fqFieldName#_upload">

</cfoutput>